curl --request PATCH \
--url https://messenger-public-api.cogfy.com/contacts/{contactId}/tags \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"add": [
{
"name": "customers"
}
],
"remove": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]
}
'Contacts
Update the tags of a contact
Links and unlinks tags of a contact. Each tag is referenced by id or by name.
Unlike the tags field of PATCH /contacts/{contactId}, a tag referenced by name is created when it does not exist yet, and referencing an id that does not exist in the workspace returns 404.
When set is provided it replaces all tags of the contact and add/remove are ignored. At most 10 tags per field.
PATCH
/
contacts
/
{contactId}
/
tags
curl --request PATCH \
--url https://messenger-public-api.cogfy.com/contacts/{contactId}/tags \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"add": [
{
"name": "customers"
}
],
"remove": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]
}
'Authorizations
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Tags to link to the contact, keeping the current ones
Maximum array length:
10Show child attributes
Show child attributes
Tags to unlink from the contact
Maximum array length:
10Show child attributes
Show child attributes
Replaces all tags of the contact. When provided, add and remove are ignored
Maximum array length:
10Show child attributes
Show child attributes
Response
Tags updated successfully